import { EventEmitter } from '../../stencil-public-runtime';
export declare class BbCollection {
    root: string;
    collectionPath: string;
    collectionQuery: {
        location?: '';
        profile?: '';
        specs?: '';
    };
    collectionHeader: 'none' | 'overlay' | 'image';
    collectionList: 'card' | 'overlay';
    collectionFilters: string;
    get collectionFiltersList(): string[];
    collectionLocationFilter: string;
    collectionProfileFilter: string;
    loaded: boolean;
    collectionResponse: any;
    locationFilter: string;
    profileFilter: string;
    specsFilter: {};
    sortOrder: string;
    order: string;
    linkClick: EventEmitter;
    get collectionId(): string;
    fetchData(limit?: number): Promise<Response>;
    componentWillLoad(): Promise<void>;
    componentDidLoad(): Promise<void>;
    watchPath(): Promise<void>;
    updateRouteFilter(): void;
    render(): any;
}
